Package com.fasterxml.jackson.dataformat.xml.ser

## Class XmlBeanSerializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<T>
  - - com.fasterxml.jackson.databind.ser.std.StdSerializer<java.lang.Object>
    - - com.fasterxml.jackson.databind.ser.std.BeanSerializerBase
      - - com.fasterxml.jackson.dataformat.xml.ser.XmlBeanSerializerBase
        - - com.fasterxml.jackson.dataformat.xml.ser.XmlBeanSerializer

All Implemented Interfaces:
  `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable`, `com.fasterxml.jackson.databind.jsonschema.SchemaAware`, `com.fasterxml.jackson.databind.ser.ContextualSerializer`, `com.fasterxml.jackson.databind.ser.ResolvableSerializer`, `java.io.Serializable`

    public class XmlBeanSerializer
    extends XmlBeanSerializerBase

Variant of `BeanSerializer` for XML handling.

Author:
  Pascal Gélinas
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

`com.fasterxml.jackson.databind.JsonSerializer.None`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.dataformat.xml.ser.XmlBeanSerializerBase

`_attributeCount, _cdata, _textPropertyIndex, _xmlNames, KEY_XML_INFO`

### Fields inherited from class com.fasterxml.jackson.databind.ser.std.BeanSerializerBase

`_anyGetterWriter, _beanType, _filteredProps, _objectIdWriter, _propertyFilterId, _props, _serializationShape, _typeId, NAME_FOR_OBJECT_REF, NO_PROPS`

### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`_handledType`

### Constructor Summary

Constructors
`XmlBeanSerializer​(com.fasterxml.jackson.databind.ser.std.BeanSerializerBase src)`
`XmlBeanSerializer​(XmlBeanSerializerBase src, com.fasterxml.jackson.databind.ser.impl.ObjectIdWriter objectIdWriter)`
`XmlBeanSerializer​(XmlBeanSerializerBase src, com.fasterxml.jackson.databind.ser.impl.ObjectIdWriter objectIdWriter, java.lang.Object filterId)`
`XmlBeanSerializer​(XmlBeanSerializerBase src, java.util.Set<java.lang.String> toIgnore)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected com.fasterxml.jackson.databind.ser.std.BeanSerializerBase` `asArraySerializer()` Implementation has to check whether as-array serialization is possible reliably; if (and only if) so, will construct a `BeanAsArraySerializer`, otherwise will return this serializer as is.
`void` `serialize​(java.lang.Object bean, com.fasterxml.jackson.core.JsonGenerator g, com.fasterxml.jackson.databind.SerializerProvider provider)` Main serialization method that will delegate actual output to configured `BeanPropertyWriter` instances.
`java.lang.String` `toString()`
`com.fasterxml.jackson.databind.JsonSerializer<java.lang.Object>` `unwrappingSerializer​(com.fasterxml.jackson.databind.util.NameTransformer unwrapper)`
`com.fasterxml.jackson.databind.ser.std.BeanSerializerBase` `withFilterId​(java.lang.Object filterId)`
`protected com.fasterxml.jackson.databind.ser.std.BeanSerializerBase` `withIgnorals​(java.util.Set<java.lang.String> toIgnore)`
`com.fasterxml.jackson.databind.ser.std.BeanSerializerBase` `withObjectIdWriter​(com.fasterxml.jackson.databind.ser.impl.ObjectIdWriter objectIdWriter)`

### Methods inherited from class com.fasterxml.jackson.dataformat.xml.ser.XmlBeanSerializerBase

`_isAttribute, _isCData, _orderAttributesFirst, _serializeObjectId, serializeFields, serializeFieldsFiltered, serializeWithType`

### Methods inherited from class com.fasterxml.jackson.databind.ser.std.BeanSerializerBase

`_customTypeId, _serializeWithObjectId, _serializeWithObjectId, _typeIdDef, acceptJsonFormatVisitor, createContextual, findConvertingSerializer, getSchema, properties, resolve, usesObjectId, withIgnorals`

### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`_neitherNull, _nonEmpty, createSchemaNode, createSchemaNode, findAnnotatedContentSerializer, findContextualConvertingSerializer, findConvertingContentSerializer, findFormatFeature, findFormatOverrides, findIncludeOverrides, findPropertyFilter, getSchema, handledType, isDefaultSerializer, visitArrayFormat, visitArrayFormat, visitFloatFormat, visitIntFormat, visitIntFormat, visitStringFormat, visitStringFormat, wrapAndThrow, wrapAndThrow`

### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

`getDelegatee, isEmpty, isEmpty, isUnwrappingSerializer, replaceDelegatee`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.fasterxml.jackson.databind.jsonschema.SchemaAware

`getSchema`

### Constructor Detail

#### XmlBeanSerializer

    public XmlBeanSerializer​(com.fasterxml.jackson.databind.ser.std.BeanSerializerBase src)

#### XmlBeanSerializer

    public XmlBeanSerializer​(XmlBeanSerializerBase src,
                             com.fasterxml.jackson.databind.ser.impl.ObjectIdWriter objectIdWriter,
                             java.lang.Object filterId)

#### XmlBeanSerializer

    public XmlBeanSerializer​(XmlBeanSerializerBase src,
                             com.fasterxml.jackson.databind.ser.impl.ObjectIdWriter objectIdWriter)

#### XmlBeanSerializer

    public XmlBeanSerializer​(XmlBeanSerializerBase src,
                             java.util.Set<java.lang.String> toIgnore)

### Method Detail

#### unwrappingSerializer

    public com.fasterxml.jackson.databind.JsonSerializer<java.lang.Object> unwrappingSerializer​(com.fasterxml.jackson.databind.util.NameTransformer unwrapper)

Overrides:
  `unwrappingSerializer` in class `com.fasterxml.jackson.databind.JsonSerializer<java.lang.Object>`

#### withObjectIdWriter

    public com.fasterxml.jackson.databind.ser.std.BeanSerializerBase withObjectIdWriter​(com.fasterxml.jackson.databind.ser.impl.ObjectIdWriter objectIdWriter)

Specified by:
  `withObjectIdWriter` in class `com.fasterxml.jackson.databind.ser.std.BeanSerializerBase`

#### withFilterId

    public com.fasterxml.jackson.databind.ser.std.BeanSerializerBase withFilterId​(java.lang.Object filterId)

Specified by:
  `withFilterId` in class `com.fasterxml.jackson.databind.ser.std.BeanSerializerBase`

#### withIgnorals

    protected com.fasterxml.jackson.databind.ser.std.BeanSerializerBase withIgnorals​(java.util.Set<java.lang.String> toIgnore)

Specified by:
  `withIgnorals` in class `com.fasterxml.jackson.databind.ser.std.BeanSerializerBase`

#### asArraySerializer

    protected com.fasterxml.jackson.databind.ser.std.BeanSerializerBase asArraySerializer()

Implementation has to check whether as-array serialization is possible reliably; if (and only if) so, will construct a `BeanAsArraySerializer`, otherwise will return this serializer as is.

Specified by:
  `asArraySerializer` in class `com.fasterxml.jackson.databind.ser.std.BeanSerializerBase`

#### serialize

    public void serialize​(java.lang.Object bean,
                          com.fasterxml.jackson.core.JsonGenerator g,
                          com.fasterxml.jackson.databind.SerializerProvider provider)
                   throws java.io.IOException

Main serialization method that will delegate actual output to configured `BeanPropertyWriter` instances.

Specified by:
  `serialize` in class `com.fasterxml.jackson.databind.ser.std.BeanSerializerBase`
Throws:
  `java.io.IOException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`